%global momorel 6
%define __libtoolize :

%global srcname %{name}-%{version}

# 1 to enable gpgme support
%global gpgme 1

# 1 to enable openldap support
%global openldap 1

# 1 to enable openssl support
%global openssl 1

# 1 to enable compface support
%global compface 0

# 1 to enable jpilot support
%global jpilot 0

# 1 to enable gtkspell support
%global gtkspell 0

Summary: LibSylph -- E-Mail client library
Name: libsylph

### default configuration
# If you'd like to change this configuration, please copy it to
# ${HOME}/rpm/specopt/sylpheed.specopt and edit it.

## Configuration
%{?!replace_icons:      %global replace_icons              1}

Version: 1.1.0
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://sylpheed.sraoss.jp/
Group: System Environment/Libraries
Source0: http://sylpheed.sraoss.jp/sylpheed/%{name}/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildPreReq: fontconfig-devel
BuildPreReq: freetype-devel
BuildPreReq: gdk-pixbuf-devel >= 0.13.0
BuildPreReq: glib1-devel
BuildPreReq: gtk2-devel
BuildPreReq: libX11-devel
BuildPreReq: libXcursor-devel
BuildPreReq: libXext-devel
BuildPreReq: libXfixes-devel
BuildPreReq: libXft-devel
BuildPreReq: libXi-devel
BuildPreReq: libXinerama-devel
BuildPreReq: libXrandr-devel
BuildPreReq: libXrender-devel
BuildPreReq: libjconv
BuildPreReq: momonga-rpmmacros >= 20040310-6m
BuildPreReq: readline-devel

%if %{gpgme}
Requires: gpgme
BuildPreReq: gpgme-devel
BuildPreReq: libgpg-error-devel
%endif

%if %{openldap}
Requires: cyrus-sasl
Requires: gdbm
Requires: openldap
Requires: pam
BuildPreReq: cyrus-sasl-devel
BuildPreReq: gdbm-devel
BuildPreReq: openldap-devel >= 2.3.11
BuildPreReq: pam-devel

%endif

%if %{openssl}
Requires: openssl
BuildPreReq: openssl-devel >= 0.9.8a
%endif

%if %{compface}
BuildPreReq: faces-devel
%endif

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
LibSylph is an e-mail client library which is derived from Sylpheed.
LibSylph is a lightweight but featureful library. It has many common e-mail
related features and other useful functions, and you can utilize them from
your application. Moreover you can create a new e-mail client by wrapping
LibSylph with any UI.

%package devel
Summary: Header files and libraries for developing apps which will use libsylph.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The libsylph-devel package contains the header files and libraries needed
to develop programs that use the libsylph library.

Install the libsylph-devel package if you want to develop applications that
will use the libsylph library.


%prep
%setup -q -n %{srcname}

%build
%if ! %{_ipv6}
IPV6="--disable-ipv6"
%endif

%if %{openldap}
LDAP="--enable-ldap"
%endif

%if ! %{gpgme}
GPG="--disable-gpgme"
%endif

%if ! %{openssl}
OPENSSL="--disable-ssl"
%endif

%if ! %{compface}
FASE="--disable-compface"
%endif

%if %{jpilot}
JPILOT="--enable-jpilot"
%endif

%if ! %{gtkspell}
GTKSPELL="--disable-gtkspell"
%endif

%configure $OPENSSL $IPV6 $LDAP $GPG $FASE $JPILOT $GTKSPELL
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsylph*.so.*
%{_datadir}/locale/*/*/*

%files devel
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL* NEWS README* TODO
%{_includedir}/sylph
%{_libdir}/libsylph*.so
%{_libdir}/libsylph*.a
%{_libdir}/libsylph*.la

%changelog
* Thu May 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.0-6m)
- define __libtoolize :

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0-5m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0-4m)
- rebuild against rpm-4.6

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.0-3m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-2m)
- rebuild against gcc43

* Tue Feb 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.0-1m)
- update to 1.1.0

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-3m)
- %%NoSource -> NoSource

* Sat Sep  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.0-2m)
- revise License (from GPL and LGPL to LGPL)

* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.0-1m)
- initial build for Momonga Linux
